# TODO: Readd deletion  src/rc and auto* stuff
%define	par	par
Summary:	A caching dns proxy for small networks or dialin accounts
Summary(pl.UTF-8):	DNS proxy serwer dla małej sieci lub jednostki z połączeniem dialup
Name:		pdnsd
Version:	1.2.9a
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://members.home.nl/p.a.rombouts/pdnsd/releases/%{name}-%{version}-%{par}.tar.gz
# Source0-md5:	2f3e705d59a0f9308ad9504b24400769
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-ac_am.patch
Patch1:		%{name}-query_roots_in_default_conf.patch
Patch2:		%{name}-ipv6_pktinfo.patch
URL:		http://members.home.nl/p.a.rombouts/pdnsd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	caching-nameserver
Provides:	group(pdnsd)
Provides:	user(pdnsd)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pdnsd is a proxy DNS daemon with permanent (disk-)cache and the
ability to serve local records. It is designed to detect network
outages or hangups and to prevent DNS-dependent applications like
Netscape Navigator from hanging.

%description -l pl.UTF-8
pdnsd jest serwerem proxy dla usługi DNS, zapisującym bufor ze
zgromadzonymi informacjami na dysku. Będzie on szczególnie użyteczny
dla jednostki pracujacej w trybie off-line (np. poprzez połączenie
dialup).

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
%patch2 -p1

%build
# rm -fr src/rc
# %{__aclocal}
# %{__autoconf}
# %{__autoheader}
# %{__automake}
%configure \
	--with-default-id=pdnsd \
	--enable-ipv6 \
	--enable-tcp-subseq \
	--with-query-method=udptcp \
	--with-thread-lib=LinuxThreads2 \
	--with-random-device=/dev/urandom \
	--with-par-queries=16

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pdnsd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pdnsd

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pdnsd.conf{.sample,}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 140 pdnsd
%useradd -u 140 -d /tmp -s /bin/false -c "pdnsd user" -g pdnsd pdnsd

%post
/sbin/chkconfig --add pdnsd
%service pdnsd restart

%preun
if [ "$1" = "0" ]; then
	%service pdnsd stop
	/sbin/chkconfig --del pdnsd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove pdnsd
	%groupremove pdnsd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/txt/*.txt doc/html/*.html
%attr(754,root,root) /etc/rc.d/init.d/pdnsd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/pdnsd
%attr(755,root,root) %{_sbindir}/pdnsd
%attr(755,root,root) %{_sbindir}/pdnsd-ctl
%attr(775,pdnsd,pdnsd) %dir %{_var}/cache/pdnsd
%attr(664,pdnsd,pdnsd) %config(noreplace) %verify(not md5 mtime size) %{_var}/cache/pdnsd/pdnsd.cache
%attr(640,root,pdnsd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pdnsd.conf
%{_mandir}/man[58]/*
%changelog
* Sun Dec 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pdnsd.git;a=log;h=master

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> 5068639
- added source0 md5

* Sat Apr 06 2013 Mateusz Korniak <matkor@pld-linux.org> 4365ea3
- Version 1.2.9a-1.

* Sat Jul 17 2010 alucard <alucard@pld-linux.org> 5985d06
- up to 1.2.8
- changes in pdnsd.init so it not clashes with our powerdns setup
- root servers' patch not needed any more (discovering roots feature)

* Mon Jul 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d872dd
- rel 3; don't obsolete real nameservers that do other things than only caching

* Mon May 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fd42c4
- rel 2

* Wed Nov 12 2008 dzeus <dzeus@pld-linux.org> fad9219
- cleanup

* Wed Nov 12 2008 dzeus <dzeus@pld-linux.org> 511ae8b
- outdated

* Wed Nov 12 2008 dzeus <dzeus@pld-linux.org> 72d88a8
- CVE note

* Sat Oct 04 2008 kosmo <kosmo@pld-linux.org> 0fa4e63
- updated to 1.2.7, fixes: CVE-2008-1447

* Thu Jul 31 2008 Mateusz Korniak <matkor@pld-linux.org> abc740e
- Relaese 2.

* Fri May 09 2008 kosmo <kosmo@pld-linux.org> 26aae00
- updated for 1.2.6

* Fri May 09 2008 kosmo <kosmo@pld-linux.org> 39a3461
- updated to 1.2.6
- minor changes in %configure

* Tue May 01 2007 Mateusz Korniak <matkor@pld-linux.org> a86e398
- Release 3. Works as caching dns server for local queries by default.

* Thu Apr 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 6a2f25e
- CVE references

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b00e89a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 901c24f
- converted to UTF-8

* Sat Sep 09 2006 Elan Ruusamäe <glen@pld-linux.org> f14decf
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

* Tue Sep 05 2006 piti <piti@pld-linux.org> ac67f05
- up to 1.2.5

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> dbe438e
- use %service, adapterized

* Mon Feb 20 2006 piti <piti@pld-linux.org> a54f768
- updated for 1.2.4

